package com.keao.edu.user.service;


import com.keao.edu.common.page.PageInfo;
import com.keao.edu.common.service.BaseService;
import com.keao.edu.user.entity.Subject;
import com.keao.edu.user.page.SubjectQueryInfo;

import java.util.List;

public interface SubjectService extends BaseService<Integer, Subject> {

    /**
     * 分页查询科目树状列表
     *
     * @param queryInfo
     * @return
     */
    PageInfo<Subject> queryPageTree(SubjectQueryInfo queryInfo);

    /**
     * 修改、新增科目树状列表
     *
     * @param subject
     */
    void upSetSubject(Subject subject);

    /**
     * 获取子级科目列表
     * @return
     */
    List<Subject> findSubSubjects(Integer tenantId);

    List<Subject> findBySubjectByIdList(List<Integer> subjectIdList);

    List<Subject> findBySubjectByIdList(String subjectIdList);

    /**
     * 根据声部id字符串查询
     *
     * @param subIds
     * @return
     */
    List<String> findBySubIds(String subIds);
}
